<?php
header("Content-Type: text/html;  charset=ISO-8859-1",true);

ini_set("memory_limit", "128M");
ini_set("max_execution_time", 600);

// Inclusão de classes
require_once("inc/classe.ssh.php");
require_once("inc/classe.ftp.php");

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));

// Funções gerais para uso com Ajax

$acao = query_string('2');

////////////////////////////////////////////////////////
/////////// Funções Gerenciamento Streaming ////////////
////////////////////////////////////////////////////////

// Função para ligar/desligar streamings e auutodjs
if($acao == "ligar_streamings") {

	// Proteção Administrador/Revenda
	if(empty($_SESSION["type_logged_user"])) {
	die("<b>0x004 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</b>");	
	}

	$total =0;

	$sql = mysqli_query($conexao,"SELECT * FROM streamings WHERE codigo_cliente = '".$dados_revenda["codigo"]."' AND status = '1' ORDER by login ASC");
	while ($dados_stm_ligar = mysqli_fetch_array($sql)) {

		$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm_ligar["codigo_servidor"]."'"));

		$status_streaming = status_streaming($dados_servidor["ip"],$dados_servidor["senha"],$dados_stm_ligar["login"]);

		if($status_streaming["status"] != "loaded") {
			@file_get_contents("http://".$_SERVER['HTTP_HOST']."/funcoes-ajax/ligar_streaming/".code_decode($dados_stm_ligar["login"],"E")."/robot");
			$total++;
		}
	}

	echo "<div class='alert alert-success text-center' role='alert'>".sprintf(lang_acao_stm_ligar_todos_resultado_ok,$total)."</div>";

	exit();
}

// Função para bloquear streaming
if($acao == "bloquear_streaming") {

	// Proteção Administrador/Revenda
	if(empty($_SESSION["type_logged_user"])) {
	die("<b>0x004 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</b>");	
	}


	$login = code_decode(query_string('3'),"D");
	
	if($login == "") {
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";
	} else {
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
	
	if($dados_servidor["status"] == "off") {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_manutencao_servidor."</div>";
	exit();	
	}
	
	// Conexão SSH
	$ssh = new SSH();
	$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
	$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
	
	// Bloqueia o streaming no servidor
	$ssh->executar("mv -f /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml.lock; echo OK");
	
	// Desliga o streaming no servidor
	$ssh->executar("/usr/bin/java -cp /usr/local/WowzaMediaServer JMXCommandLine -jmx service:jmx:rmi://localhost:8084/jndi/rmi://localhost:8085/jmxrmi -user admin -pass admin shutdownAppInstance ".$dados_stm["login"]."");
	
	mysqli_query($conexao,"Update streamings set status ='3' where codigo = '".$dados_stm["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_acao_bloquear_stm_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] ".lang_acao_bloquear_stm_resultado_ok." pela revenda.");
	
	}
	
	exit();
}

// Função para desbloquear streaming
if($acao == "desbloquear_streaming") {

	// Proteção Administrador/Revenda
	if(empty($_SESSION["type_logged_user"])) {
	die("<b>0x004 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</b>");	
	}


	$login = code_decode(query_string('3'),"D");
	
	if($login == "") {
	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";
	
	} else {
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
	
	if($dados_servidor["status"] == "off") {		
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_manutencao_servidor."</div>";	
	exit();	
	}
	
	if($_SESSION["type_logged_user"] == "cliente" && $dados_stm["status"] == 2) {	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_acao_desbloquear_stm_resultado_erro_permissao."</div>";	
	exit();	
	}
	
	// Conexão SSH
	$ssh = new SSH();
	$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
	$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
	
	// Desbloqueia o streaming no servidor
	$ssh->executar("mv -f /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml.lock /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml; echo OK");
	
	// Liga o streaming no servidor
	$ssh->executar("/usr/bin/java -cp /usr/local/WowzaMediaServer JMXCommandLine -jmx service:jmx:rmi://localhost:8084/jndi/rmi://localhost:8085/jmxrmi -user admin -pass admin shutdownAppInstance ".$dados_stm["login"]."");
	
	$ssh->executar("/usr/bin/java -cp /usr/local/WowzaMediaServer JMXCommandLine -jmx service:jmx:rmi://localhost:8084/jndi/rmi://localhost:8085/jmxrmi -user admin -pass admin startAppInstance ".$dados_stm["login"]."");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_acao_desbloquear_stm_resultado_ok."</div>";
	
	mysqli_query($conexao,"Update streamings set status = '1' where codigo = '".$dados_stm["codigo"]."'");
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] ".lang_acao_desbloquear_stm_resultado_ok." pela revenda.");
	
	}
	
	exit();
}

// Função para remover streaming
if($acao == "remover_streaming") {

	// Proteção Administrador/Revenda
	if(empty($_SESSION["type_logged_user"])) {
	die("<b>0x004 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</b>");	
	}

	$login = code_decode(query_string('3'),"D");
	
	if($login == "") {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";
	
	} else {	
	$checar_streaming = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	
	if($checar_streaming == 0) {
	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_acao_stm_nao_encontrado."</div>";
	
	exit();
	}
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
	
	if($dados_servidor["status"] == "off") {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_manutencao_servidor."</div>";	
	exit();	
	}
	
	// Conexão SSH
	$ssh = new SSH();
	$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
	$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
	
	$ssh->executar("/usr/local/WowzaMediaServer/desativar ".$dados_stm["login"].";echo OK");
	
	$ssh->executar("nohup rm -rf /home/streaming/".$dados_stm["login"]."; echo ok");
	
	mysqli_query($conexao,"Delete From streamings where codigo = '".$dados_stm["codigo"]."'");
	
	// Remove as playlists
	$query_playlists = mysqli_query($conexao,"SELECT * FROM playlists where codigo_stm = '".$dados_stm["codigo"]."'");
	while ($dados_playlist = mysqli_fetch_array($query_playlists)) {
	
	mysqli_query($conexao,"Delete From playlists where codigo = '".$dados_playlist["codigo"]."'");
	mysqli_query($conexao,"Delete From playlists_videos where codigo_playlist = '".$dados_playlist["codigo"]."'");
	
	}
	
	// Remove as estatisticas
	mysqli_query($conexao,"Delete From estatisticas where codigo_stm = '".$dados_stm["codigo"]."'");
	
	// Remove os Agendamentos
	mysqli_query($conexao,"Delete From playlists_agendamentos where codigo_stm = '".$dados_stm["codigo"]."'");
	
	// Remove logs
	mysqli_query($conexao,"Delete From logs_streamings where codigo_stm = '".$dados_stm["codigo"]."'");
	mysqli_query($conexao,"Delete From dicas_rapidas_acessos where codigo_stm = '".$dados_stm["codigo"]."'");
	
	// Remove app android
	$dados_app = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM apps where codigo_stm = '".$dados_stm["codigo"]."'"));
	
	mysqli_query($conexao,"Delete From apps where codigo_stm = '".$dados_stm["codigo"]."'");
	
	// Remove o apk e imagens do app android
	@unlink("../app/apps/".$dados_app["zip"]."");

	// Loga a ação executada
	logar_acao($conexao,"[".$dados_stm["login"]."] Remoção do streaming pela revenda.");
	
	if(!mysqli_error($conexao)) {

	echo "<div class='alert alert-success text-center' role='alert'>".lang_acao_remover_stm_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] ".lang_acao_remover_stm_resultado_ok." pela revenda.");
	
	} else {
	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_acao_remover_stm_resultado_erro."<br>Log: ".mysqli_error($conexao)."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] ".lang_acao_remover_stm_resultado_erro." Log: ".mysqli_error($conexao)."");
	
	}
	
	}
	
	exit();
}

// Função para admin/revenda acessar painel de streaming
if($acao == "acessar_painel_streaming_revenda") {

	// Proteção Administrador/Revenda
	if(empty($_SESSION["type_logged_user"])) {
	die("<b>0x004 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</b>");	
	}

	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".code_decode(query_string('3'),"D")."'"));

	if($dados_stm["codigo_cliente"] == $_SESSION["code_user_logged"]) {

	echo "1|".code_decode($dados_stm["login"],"E")."@".code_decode($dados_stm["senha"],"E")."";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] Acesso da revenda ao painel de streaming executado com sucesso.");
	
	} else {
	echo "0|<div class='alert alert-danger text-center' role='alert'>".lang_info_acesso_stm_nao_permitido."</div>";	
	}
	
	exit();
	
}

////////////////////////////////////////////////////////
//////////////////// Funções Gerais ////////////////////
////////////////////////////////////////////////////////

// Função para exibir avisos
if($acao == "exibir_aviso") {


	$codigo_aviso = query_string('3');
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$_SESSION["login_logado"]."'"));
	$dados_aviso = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM avisos where codigo = '".$codigo_aviso."'"));
	
	$area = ($_SESSION["login_logado"]) ? 'streaming' : 'revenda';
	$codigo_usuario = ($area == "streaming") ? $_SESSION["login_logado"] : $_SESSION["code_user_logged"];

	if(!mysqli_error($conexao)) {
	
	list($ano,$mes,$dia) = explode("-",$dados_aviso["data"]);
	
	echo "".$dados_aviso["mensagem"]."<br /><br />".$lang['lang_info_aviso_data']." ".formatar_data($dados_stm["formato_data"], $dados_aviso["data"], $dados_stm["timezone"])."<br /><br /><input type=\"checkbox\" onclick=\"desativar_exibicao_aviso('".$codigo_aviso."', '".$area."', '".$codigo_usuario."');\" style=\"vertical-align:middle;\" />&nbsp;".$lang['lang_info_aviso_desativar']."";
	
	}
	
	exit();

}

// Função para marcar um aviso como vizualizado
if($acao == "desativar_exibicao_aviso") {

	$codigo_aviso = query_string('3');
	$area = query_string('4');
	$codigo_usuario = query_string('5');
	
	mysqli_query($conexao,"INSERT INTO avisos_desativados (codigo_aviso,codigo_usuario,area,data) VALUES ('".$codigo_aviso."','".$codigo_usuario."','".$area."',NOW())");
	
	exit();

}

////////////////////////////////////////////////////////
////////// Funções Gerenciamento Sub Revenda ///////////
////////////////////////////////////////////////////////

// Função para bloquear uma sub revenda
if($acao == "bloquear_subrevenda") {
	

	$codigo = code_decode(query_string('3'),"D");
	
	if($codigo == "" || $codigo == 0) {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";	
	} else {

	$dados_subrevenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas where codigo = '".$codigo."'"));
	
	$lista_streamings_bloquear = array();
	
	// Gera lista de streamings da subrevenda
	$query_stms = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_subrevenda["codigo"]."'");
	while ($dados_stm_subrevenda = mysqli_fetch_array($query_stms)) {
	
	$lista_streamings_bloquear[] = $dados_stm_subrevenda["login"];
	
	}
	
	// Gera lista de streamings das subrevendas da suarevenda
	$query_subrevendas_sub = mysqli_query($conexao,"SELECT * FROM revendas where codigo_revenda = '".$dados_subrevenda["codigo"]."' AND tipo = '3' ORDER by codigo ASC");
	while ($dados_subrevenda_sub = mysqli_fetch_array($query_subrevendas_sub)) {
	
		$query_stms_subrevenda = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_subrevenda_sub["codigo"]."'");
		while ($dados_stm_subrevenda_sub = mysqli_fetch_array($query_stms_subrevenda)) {
		
		$lista_streamings_bloquear[] = $dados_stm_subrevenda_sub["login"];
		
		}
	}
	
	// Bloqueia os streamings da lista gerada
	foreach($lista_streamings_bloquear as $login) {
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	
	$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
	
	if($dados_servidor["status"] == "off") {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_manutencao_servidor."</div>";	
	exit();	
	}
	
	// Conexão SSH
	$ssh = new SSH();
	$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
	$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
	
	// Bloqueia o streaming no servidor
	$ssh->executar("mv -f /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml.lock; echo OK");
	
	// Desliga o streaming no servidor
	$ssh->executar("/usr/bin/java -cp /usr/local/WowzaMediaServer JMXCommandLine -jmx service:jmx:rmi://localhost:8084/jndi/rmi://localhost:8085/jmxrmi -user admin -pass admin shutdownAppInstance ".$dados_stm["login"]."");
	
	mysqli_query($conexao,"Update streamings set status = '2' where codigo = '".$dados_stm["codigo"]."'");
	
	}
	
	// Bloqueia as subrevendas da subrevenda
	mysqli_query($conexao,"Update revendas set status = '3' where codigo_revenda = '".$dados_subrevenda["codigo"]."' AND tipo = '3'");
	
	mysqli_query($conexao,"Update revendas set status = '3' where codigo = '".$dados_subrevenda["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_acao_bloquear_subrevenda_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_subrevenda["nome"]." - ".$dados_subrevenda["email"]."] Sub Revenda bloqueada com sucesso");
	
	}
	
	exit();
}

// Função para bloquear uma sub revenda
if($acao == "desbloquear_subrevenda") {


	$codigo = code_decode(query_string('3'),"D");
	
	if($codigo == "" || $codigo == 0) {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";	
	} else {
	
	$dados_subrevenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas where codigo = '".$codigo."'"));
	
	$lista_streamings_desbloquear = array();
	
	// Gera lista de streamings das subrevendas da suarevenda
	$query_stms = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_subrevenda["codigo"]."'");
	while ($dados_stm_subrevenda = mysqli_fetch_array($query_stms)) {
	
	$lista_streamings_desbloquear[] = $dados_stm_subrevenda["login"];
	
	}
	
	// Gera lista de streamings das subrevendas da subrevenda
	$query_subrevendas_sub = mysqli_query($conexao,"SELECT * FROM revendas where codigo_revenda = '".$dados_subrevenda["codigo"]."' AND tipo = '3' ORDER by codigo ASC");
	while ($dados_subrevenda_sub = mysqli_fetch_array($query_subrevendas_sub)) {
	
		$query_stms_subrevenda = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_subrevenda_sub["codigo"]."'");
		while ($dados_stm_subrevenda_sub = mysqli_fetch_array($query_stms_subrevenda)) {
		
		$lista_streamings_desbloquear[] = $dados_stm_subrevenda_sub["login"];
		
		}
	}
	
	// Desbloqueia os streamings da lista gerada
	foreach($lista_streamings_desbloquear as $login) {
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	
	$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
	
	// Conexão SSH
	$ssh = new SSH();
	$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
	$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
	
	// Desbloqueia o streaming no servidor
	$ssh->executar("mv -f /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml.lock /usr/local/WowzaMediaServer/conf/".$dados_stm["login"]."/Application.xml; echo OK");
	
	// Liga o streaming no servidor
	$ssh->executar("/usr/bin/java -cp /usr/local/WowzaMediaServer JMXCommandLine -jmx service:jmx:rmi://localhost:8084/jndi/rmi://localhost:8085/jmxrmi -user admin -pass admin shutdownAppInstance ".$dados_stm["login"]."");
	
	$ssh->executar("/usr/bin/java -cp /usr/local/WowzaMediaServer JMXCommandLine -jmx service:jmx:rmi://localhost:8084/jndi/rmi://localhost:8085/jmxrmi -user admin -pass admin startAppInstance ".$dados_stm["login"]."");
	
	mysqli_query($conexao,"Update streamings set status = '1' where codigo = '".$dados_stm["codigo"]."'");
	
	}
	
	// Desbloqueia as subrevendas da subrevenda
	mysqli_query($conexao,"Update revendas set status = '1' where codigo_revenda = '".$dados_subrevenda["codigo"]."' AND tipo = '3'");

	mysqli_query($conexao,"Update revendas set status = '1' where codigo = '".$dados_subrevenda["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_acao_desbloquear_subrevenda_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_subrevenda["nome"]." - ".$dados_subrevenda["email"]."] Sub Revenda desbloqueada com sucesso");
	
	}
	
	exit();

}

// Função para bloquear uma sub revenda
if($acao == "remover_subrevenda") {

	$codigo = code_decode(query_string('3'),"D");
	
	if($codigo == "" || $codigo == 0) {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";
	} else {
	
	$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$_SESSION["code_user_logged"]."'"));
	$checar_subrevenda = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM revendas WHERE (codigo_revenda = '".$dados_revenda["codigo"]."' AND codigo = '".$codigo."')"));
	
	if($checar_subrevenda == 0) {	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_alerta_subrevenda_nao_encontrada."</div>";
	exit();
	}
	
	$dados_subrevenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas where codigo = '".$codigo."'"));
	
	$lista_streamings_remover = array();
	
	// Gera lista de streamings das subrevendas da suarevenda
	$query_stms = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_subrevenda["codigo"]."'");
	while ($dados_stm_subrevenda = mysqli_fetch_array($query_stms)) {
	
	$lista_streamings_remover[] = $dados_stm_subrevenda["login"];
	
	}
	
	// Gera lista de streamings das subrevendas da subrevenda
	$query_subrevendas_sub = mysqli_query($conexao,"SELECT * FROM revendas where codigo_revenda = '".$dados_subrevenda["codigo"]."' AND tipo = '3' ORDER by codigo ASC");
	while ($dados_subrevenda_sub = mysqli_fetch_array($query_subrevendas_sub)) {
	
		$query_stms_subrevenda = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_subrevenda_sub["codigo"]."'");
		while ($dados_stm_subrevenda_sub = mysqli_fetch_array($query_stms_subrevenda)) {
		
		$lista_streamings_remover[] = $dados_stm_subrevenda_sub["login"];
		
		}
	}
	
	// Remove os streamings da lista gerada
	foreach($lista_streamings_remover as $login) {
	
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));

	$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
	
	if($dados_servidor["status"] == "off") {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_manutencao_servidor."</div>";	
	exit();	
	}
	
	// Conexão SSH
	$ssh = new SSH();
	$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
	$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
	
	$ssh->executar("/usr/local/WowzaMediaServer/desativar ".$dados_stm["login"]."");
	
	$ssh->executar("nohup rm -rf /home/streaming/".$dados_stm["login"]."; echo ok");
	
	mysqli_query($conexao,"Delete From streamings where codigo = '".$dados_stm["codigo"]."'");
	
	// Remove as playlists
	$query_playlists = mysqli_query($conexao,"SELECT * FROM playlists where codigo_stm = '".$dados_stm["codigo"]."'");
	while ($dados_playlist = mysqli_fetch_array($query_playlists)) {
	
	mysqli_query($conexao,"Delete From playlists where codigo = '".$dados_playlist["codigo"]."'");
	mysqli_query($conexao,"Delete From playlists_videos where codigo_playlist = '".$dados_playlist["codigo"]."'");
	
	}
	
	// Remove os Agendamentos
	mysqli_query($conexao,"Delete From playlists_agendamentos where codigo_stm = '".$dados_stm["codigo"]."'");

	// Remove logs
	mysqli_query($conexao,"Delete From logs_streamings where codigo_stm = '".$dados_stm["codigo"]."'");
	mysqli_query($conexao,"Delete From dicas_rapidas_acessos where codigo_stm = '".$dados_stm["codigo"]."'");
	
	// Remove app android
	$dados_app = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM apps where codigo_stm = '".$dados_stm["codigo"]."'"));
	
	mysqli_query($conexao,"Delete From apps where codigo_stm = '".$dados_stm["codigo"]."'");
	
	// Remove o apk e imagens do app android
	@unlink("../app/apps/".$dados_app["zip"]."");
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] Streaming removido com sucesso na remoção da sub revenda ".$dados_subrevenda["id"]." - ".$dados_subrevenda["email"]."");
	
	}
	
	// Remove as subrevendas da subrevenda
	mysqli_query($conexao,"Delete From revendas where codigo_revenda = '".$dados_subrevenda["codigo"]."' AND tipo = '3'");
	mysqli_query($conexao,"Delete From revendas where codigo = '".$dados_subrevenda["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_acao_remover_subrevenda_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_subrevenda["nome"]." - ".$dados_subrevenda["email"]."] Sub Revenda removida com sucesso.");
	
	}
	
	exit();

}

// Função para mover um streaming para a revenda principal
if($acao == "mover_streaming_subrevenda_revenda") {


	$login = code_decode(query_string('3'),"D");
	
	if($login == "") {	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";	
	} else {
		
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$_SESSION["code_user_logged"]."'"));
	
	$verifica_subrevenda = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM revendas WHERE (codigo_revenda = '".$dados_revenda["codigo"]."' AND codigo = '".$dados_stm["codigo_cliente"]."') AND tipo = '2'"));
	
	// Verifica se o streaming é de uma sub revenda que pertence a revenda logada
	if($verifica_subrevenda > 0) {
	
	mysqli_query($conexao,"Update streamings set codigo_cliente = '".$dados_revenda["codigo"]."' where codigo = '".$dados_stm["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_info_subrevenda_streamings_mover_streaming_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] Movido para revenda principal ".$dados_revenda["id"]."");
	
	} else {
	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_info_subrevenda_streamings_mover_streaming_resultado_alerta."</div>";
	
	}
	
	}
	
	exit();

}

// Função para mover um streaming para outra sub revenda
if($acao == "mover_streaming_subrevenda_subrevenda") {

	$login = code_decode(query_string('3'),"D");
	$id = query_string('4');
	
	if($login == "" || $id == "") {
	
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";
	
	} else {
		
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$_SESSION["code_user_logged"]."'"));
	
	$verifica_subrevenda_atual = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM revendas WHERE (codigo_revenda = '".$dados_revenda["codigo"]."' AND codigo = '".$dados_stm["codigo_cliente"]."') AND tipo = '2'"));
	
	$verifica_subrevenda_nova = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM revendas WHERE (codigo_revenda = '".$dados_revenda["codigo"]."' AND id = '".$id."') AND tipo = '2'"));
	
	// Verifica se o streaming é de uma sub revenda que pertence a revenda logada
	if($verifica_subrevenda_atual > 0 && $verifica_subrevenda_nova > 0) {
	
	$dados_subrevenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE id = '".$id."'"));

	mysqli_query($conexao,"Update streamings set codigo_cliente = '".$dados_subrevenda["codigo"]."' where codigo = '".$dados_stm["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_info_subrevenda_streamings_mover_streaming_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] Movido para sub revenda ".$dados_subrevenda["id"]."");
	
	} else {
	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_info_subrevenda_streamings_mover_streaming_resultado_alerta."</div>";
	
	}
	
	}
	
	exit();

}

// Função para mover um streaming para uma sub revenda
if($acao == "mover_streaming_revenda_subrevenda") {

	$login = code_decode(query_string('3'),"D");
	$id = query_string('4');
	
	if($login == "" || $id == "") {
	echo "<div class='alert alert-warning text-center' role='alert'>".lang_alerta_dados_faltando."</div>";
	} else {
		
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$login."'"));
	
	$verifica_subrevenda_nova = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo_revenda = '".$dados_revenda["codigo"]."' AND id = '".$id."'"));
	
	// Verifica se o streaming é de uma sub revenda que pertence a revenda logada
	if($verifica_subrevenda_nova > 0) {
	
	$dados_subrevenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE id = '".$id."'"));

	mysqli_query($conexao,"Update streamings set codigo_cliente = '".$dados_subrevenda["codigo"]."' where codigo = '".$dados_stm["codigo"]."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_info_subrevenda_streamings_mover_streaming_resultado_ok."</div>";
	
	// Insere a ação executada no registro de logs.
	logar_acao($conexao,"[".$dados_stm["login"]."] Movido para sub revenda ".$dados_subrevenda["id"]."");
	
	} else {
	
	echo "<div class='alert alert-danger text-center' role='alert'>".lang_info_subrevenda_streamings_mover_streaming_resultado_alerta."</div>";
	
	}
	
	}
	
	exit();

}

// Função para remover um plano
if($acao == "remover_plano") {
	
	// Proteção Administrador/Revenda
	if(empty($_SESSION["type_logged_user"])) {
	die("<b>0x004 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</b>");	
	}
	
	$plano = code_decode(query_string('3'),"D");
	$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$_SESSION["code_user_logged"]."'"));
	
	mysqli_query($conexao,"Delete From revendas_planos where codigo_revenda = '".$dados_revenda["codigo"]."' AND codigo = '".$plano."'");
	
	echo "<div class='alert alert-success text-center' role='alert'>".lang_pagina_gerenciar_planos_remover_resultado_ok."</div>";
	
	exit();

}


// Função para remover uma requisição de app android
if($acao == "remover_app_android") {


	$codigo_app = code_decode(query_string('3'),"D");
	
	$dados_app = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM apps where codigo = '".$codigo_app."'"));
	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where codigo = '".$dados_app["codigo_stm"]."'"));
	
	mysqli_query($conexao,"Delete From apps where codigo = '".$dados_app["codigo"]."'");
	
	if(!mysqli_error($conexao)) {
	
	// Remove o apk e imagens
	@unlink("../app/apps/".$dados_app["zip"]."");
	
	echo "<div class='alert alert-success text-center' role='alert'>App Android removido.</div>";
	
	} else {
	
	echo "<div class='alert alert-danger text-center' role='alert'>N&atilde;o foi poss&iacute;vel remover o App Android.</div>";
	
	}
	
	exit();

}

?>